# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "praborrow-defense"
version = "0.2.0"
authors = ["ireddragonicy"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for invariant verification. Generates runtime checks for data integrity."
readme = "README.md"
keywords = [
    "macro",
    "invariant",
    "validation",
    "proc-macro",
]
categories = [
    "development-tools::procedural-macro-helpers",
    "rust-patterns",
]
license = "MIT"
repository = "https://github.com/ireddragonicy/PraBorrow"
resolver = "2"

[lib]
name = "praborrow_defense"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = [
    "full",
    "extra-traits",
]
